# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/04/28 01:28:10-04:00 len.brown@intel.com 
#   [ACPI] battery "charged" instead of "unknown" (Luming Yu)
# 
# drivers/acpi/battery.c
#   2004/04/28 01:26:37-04:00 len.brown@intel.com +7 -3
#   clarify fully charged scenario
# 
diff -Nru a/drivers/acpi/battery.c b/drivers/acpi/battery.c
--- a/drivers/acpi/battery.c	Wed Apr 28 01:28:19 2004
+++ b/drivers/acpi/battery.c	Wed Apr 28 01:28:19 2004
@@ -486,14 +486,18 @@
 	else
 		p += sprintf(p, "capacity state:          critical\n");
 
-	if ((bst->state & 0x01) && (bst->state & 0x02))
+	if ((bst->state & 0x01) && (bst->state & 0x02)){
 		p += sprintf(p, "charging state:          charging/discharging\n");
+		ACPI_DEBUG_PRINT ((ACPI_DB_ERROR,
+					"Battery Charging and Discharging?\n"));
+	}
 	else if (bst->state & 0x01)
 		p += sprintf(p, "charging state:          discharging\n");
 	else if (bst->state & 0x02)
 		p += sprintf(p, "charging state:          charging\n");
-	else
-		p += sprintf(p, "charging state:          unknown\n");
+	else {
+		p += sprintf(p, "charging state:          charged\n");
+	}
 
 	if (bst->present_rate == ACPI_BATTERY_VALUE_UNKNOWN)
 		p += sprintf(p, "present rate:            unknown\n");
